# ZFS-Pool 'storage' is not configured using bw, because we're using
# RAID-Z2 with ZIL and ARC on SSDs

nodes['home.nas'] = {
    'hostname': '172.19.138.90',
    'bundles': {
        'nfs-server',
        'zfs',
    },
    'groups': set(),
    'metadata': {
        'interfaces': {
            'eno1': {
                'ips': {
                    '172.19.138.90/24',
                },
            },
            'br0': {
                'ips': {
                    '172.19.138.20/24',
                },
                'gateway4': '172.19.138.1',
            },
        },
        'nfs-server': {
            'shares': {
                '/storage/nas': {
                    '172.19.138.0/24(ro,all_squash,anonuid=65534,anongid=65534)',
                },
            },
        },
        'systemd-networkd': {
            'bonds': {
                'bond0': {
                    'match': {
                        'enp8*',
                        'enp9*',
                    },
                },
            },
            'bridges': {
                'br0': {
                    'match': {
                        'bond0',
                    },
                },
            },
        },
        'vm': {
            'cpu': 8,
            'ram': 16,
        },
    },
    'os': 'debian',
    'os_version': (11,),
}
